#ifndef SCREENSHOT_H
#define SCREENSHOT_H

#include <qobject.h>
#include <qwidget.h>
#include <qmap.h>
#include <qpixmap.h>
#include <qrect.h>

class QMouseEvent;
class QKeyEvent;
class QPaintEvent;
class Chat;
class ChatButton;
class UinsList;

class ScreenShot : public QWidget
{
	Q_OBJECT

	private:
		bool buttonPressed;
		QRect region;
		QMap<Chat*,ChatButton*> chatButtons;
		Chat* tempChat;
		QPixmap pixmap;

		void drawRegionRect();

	public:
		ScreenShot(QWidget * parent = 0, const char * name = 0, WFlags f = 0);
		~ScreenShot();
		void mousePressEvent(QMouseEvent* e);
		void mouseReleaseEvent(QMouseEvent* e);
		void mouseMoveEvent(QMouseEvent* e);
		void keyPressEvent(QKeyEvent* e);
		void handleShot(QPixmap p, QString path);

	public slots:
		void takeShot(Chat* chat);
		void chatCreated(const UinsList&);
		void chatDestroying(const UinsList&);
		void grabMouseSlot();
		void onCreateConfig();
		void onDestroyConfig();

	private slots:
		void handleCreatedChat(Chat* chat);
		void handleDestroyingChat(Chat* chat);

};

extern ScreenShot* screenShot;

#endif
